#include "./profinet/profinet_cb_reset_ind.hpp"
#include "./profinet/profinet.hpp"

int profinet_cb_reset_ind (
    pnet_t * net,
    void * arg,
    bool should_reset_application,
    uint16_t reset_mode)
{
    Profinet * const profinet_ptr = static_cast<Profinet*>(arg);

    return profinet_ptr->callbackResetInd(should_reset_application, reset_mode);
}